Installer - Bug #30449

Foreman Proxy HTTPBoot feature should not require tftp
07/20/2020 03:52 PM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: Foreman modules
Target version: 2.4.0
Difficulty: Fixed in Releases: 2.4.0
Triaged: Yes Found in Releases: 2.1.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
eman_proxy/pull/608

Description

Foreman Proxy's HTTPBoot feature used to require tftp, but since Foreman Proxy 1.22 this is no longer true
(commit:db33bc6780e28b5d694a1be6642e637aff59936f /
https://github.com/theforeman/smart-proxy/commit/db33bc6780e28b5d694a1be6642e637aff59936f).

Related issues:
Related to Installer - Refactor #28378: Parameter foreman-proxy-httpboot shou... New

Associated revisions

Revision e4b7763e - 12/10/2020 04:29 PM - Ewoud Kohl van Wijngaarden

Fixes #30449 - Do not require TFTP for HTTPBoot

Since Foreman Proxy 1.22 the hard requirement on TFTP is no longer
present. This changes the default to always be off, rather than on. This
makes sense since in the default deployment HTTP is off and most
installations don't support booting over HTTPS.

To get the netboot files, the TFTP feature must still be enabled.

History

#1 - 07/20/2020 03:58 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/608 added

#2 - 07/21/2020 12:00 PM - Ewoud Kohl van Wijngaarden

- Subject changed from Foreman Proxy HTTPBoot feature should require tftp to Foreman Proxy HTTPBoot feature should not require tfip

#3 - 07/30/2020 02:11 PM - Ewoud Kohl van Wijngaarden
- Target version set to 2.2.0

- Triaged changed from No to Yes

#4 - 07/30/2020 02:25 PM - Ewoud Kohl van Wijngaarden
- Related to Refactor #28378: Parameter foreman-proxy-httpboot should setup TFTP folder added

#5 - 08/12/2020 01:31 PM - Eric Helms
- Target version changed from 2.2.0 to 2.3.0

#6 - 11/23/2020 02:07 PM - Tomer Brisker
- Target version changed from 2.3.0 to 2.4.0
https://github.com/theforeman/smart-proxy/commit/db33bc6780e28b5d694a1be6642e637aff59936f

#7 - 12/10/2020 04:29 PM - The Foreman Bot
- Fixed in Releases 2.4.0 added

#8 - 12/10/2020 05:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|e4b7763e45fecc5fbaa5d88cc066906d6caf7bf7.

05/19/2024 22


https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-foreman_proxy/revisions/e4b7763e45fecc5fbaa5d88cc066906d6caf7bf7
http://www.tcpdf.org

